<?php
	if( $docroot == '' ){
		die( _("Accesso negato!") );
	}
	
	switch( $html->form('op', 'post') ){
		case "update":

			$idsede = $_POST['id_record'];
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				//leggo tutti i valori passati dal POST e li salvo in un array
				$html_post = array();
				foreach ($_POST as $key => $value) {
					$html_post[$key] = save($value);
				}
			
				if( isset($_POST['id_record']) ){
							
					include ($docroot . "/lib/salva_personalizzati.php");		
							
					$costo_km = force_decimal( $_POST['costo_km'] );
					
					$query = "UPDATE an_sedi SET ".													
										"nomesede=\"".$html_post['nomesede']."\",".
										"piva=\"".$html_post['piva']."\",".
										"codice_fiscale=\"".$html_post['codice_fiscale']."\",".								
										"indirizzo=\"".$html_post['indirizzo']."\",".
										"indirizzo2=\"".$html_post['indirizzo2']."\",".
										"citta=\"".$html_post['citta']."\",".
										"cap=\"".$html_post['cap']."\",".
										"provincia=\"".$html_post['provincia']."\",".
										"km=\"".str_replace( ",", ".", $html_post['km'] )."\",".
										"nazione=\"".$html_post['nazione']."\",".
										"telefono=\"".$html_post['telefono']."\",".
										"cellulare=\"".$html_post['cellulare']."\",".						
										"fax=\"".$html_post['fax']."\",".
										"idzona=\"".$html_post['idzona']."\",".										
										"colore_marker=\"".$html_post['colore_marker']."\",".									
										"lng=\"".$html_post['lng']."\",".
										"lat=\"".$html_post['lat']."\",".										
										"email=\"".$html_post['email']."\"".																											
										"WHERE id='$idsede' ";
					echo 
										
					$rs = $dbo->query( $query );

					array_push( $_SESSION['infos'], "Informazioni per la sede ''".$html_post['nomesede']."'' salvate correttamente!");
	
				}
			}
			
			else{
				array_push( $_SESSION['errors'], "Permesso negato!");	
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){			
				$nomesede = $html->form( 'nomesede', 'post' );
				$idanagrafica = $html->form( 'idanagrafica', 'post' );
					$query = "INSERT INTO an_sedi( idanagrafica, nomesede  ,nazione) 
					VALUES ( \"".save($idanagrafica)."\", \"".$nomesede."\",'ITALIA')";
					$dbo->query($query);
					$id_record = $dbo->last_inserted_id();

				array_push( $_SESSION['infos'], "Aggiunta nuova sede " );
				
			}
			
			break;


		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$dbo->query( "DELETE FROM an_sedi WHERE id='".$id_record."'" );
				array_push( $_SESSION['infos'], "Sede eliminata!" );
			}
			
			break;


	}
?>
